Atlas 项目/组 ID。
是否创建默认应用程序。
应用程序的产品类型。应用程序默认使用 standard 产品类型。对于大多数应用程序,您根本不需要指定 product,或者应该指定 standard。
atlas、data-api 和 device-sync 产品类型代表 Atlas Triggers、Atlas Data API 和 Atlas Device Sync 的特殊应用,您可以通过 Atlas UI 访问这些应用。
取值为 standard、atlas、data-api 或 device-sync。
描述要创建的新应用的对象
应用程序的名称。必须以字母开头,并且只能包含 ASCII 字母、数字、下划线和连字符。
云提供商特定的部署区域的短 ID。一些区域可用于全球部署,而其他区域仅可用于本地应用。请参阅 云部署区域。
取值为 aws-us-east-1、aws-us-west-2、aws-us-east-2、aws-eu-central-1、aws-eu-west-1、aws-eu-west-2、aws-ap-southeast-1、aws-ap-southeast-2、aws-ap-south-1 或 aws-sa-east-1。
云提供商特定的部署区域的短 ID。一些区域可用于全球部署,而其他区域仅可用于本地应用。请参阅 云部署区域。
取值为 azure-eastus2、azure-westus、azure-westeurope、azure-eastasia 或 azure-southeastasia。
云提供商特定的部署区域的短 ID。一些区域可用于全球部署,而其他区域仅可用于本地应用。请参阅 云部署区域。
取值为 gcp-us-central1、gcp-us-east4、gcp-us-west1、gcp-europe-west1 或 gcp-asia-south1。
应用程序的物理部署位置。这应该与更具体的 provider_region 值一致。例如,一个 provider_region 为 aws-us-west-2 的应用映射到 US-OR 的 location。
取值为 US-VA、US-OR、DE-FF、IE、AU、IN-MB、SG 或 BR-SP。
应用程序部署模型。
值为 GLOBAL 或 LOCAL。
应用程序的环境。
取值为 development、testing、qa 或 production。
用作新应用程序基础的 App Services 模板应用的 ID。
curl \
--request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"name": "MyApp",
"provider_region": "aws-us-east-1",
"location": "US-VA",
"deployment_model": "GLOBAL",
"environment": "production",
"template_id": "string",
"data_source": {
"_id": "string",
"name": "string",
"type": "string"
}
}'
{
"name": "MyApp",
"provider_region": "aws-us-east-1",
"location": "US-VA",
"deployment_model": "GLOBAL",
"environment": "production",
"template_id": "string",
"data_source": {
"_id": "string",
"name": "string",
"type": "string"
}
}
{
"name": "MyApp",
"provider_region": "aws-us-east-1",
"location": "US-VA",
"deployment_model": "GLOBAL",
"environment": "production",
"_id": "633209ffd3bd3478005d1bac",
"client_app_id": "myapp-abcde",
"domain_id": "63320a2b5f9de9a6e0a213e8",
"group_id": "5b2ec991973129243223a114",
"last_used": 1664224746,
"last_modified": 1656440824,
"product": "standard"
}
{
"error": "string",
"error_code": "string"
}